## socket-activate 0.1

=== Makefile ===
#!/usr/bin/make -f

OBJECTS=socket-activate.1

all: $(OBJECTS)

socket-activate.1: socket-activate.md
	pandoc -s -t man -o $@ $<

clean:
	rm -f $(OBJECTS) tests/expected tests/produced tests/sock

check:
	SOCKET_ACTIVATE=$(CURDIR)/socket-activate ./tests/basic

VERSION ?= $(shell awk '/^version/{ print $$2 }' < NEWS | head -n1)

release:
	git tag -s socket-activate_$(VERSION) -m 'Tagging socket-activate version $(VERSION)' master

.PHONY: clean all test release

=== debian/changelog ===
socket-activate (0.1-1) unstable; urgency=medium

  * First debian upload (Closes: #922353)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Feb 2019 17:48:21 -0500

=== debian/control ===
Source: socket-activate
Section: net
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper-compat (= 12),
 pandoc,
 socat <!nocheck>,
Standards-Version: 4.3.0
Homepage: https://gitlab.com/dkg/socket-activate
Vcs-Git: https://salsa.debian.org/debian/socket-activate.git
Vcs-Browser: https://salsa.debian.org/debian/socket-activate
Rules-Requires-Root: no

Package: socket-activate
Architecture: all
Depends:
 python3,
 ${misc:Depends},
Description: Run a socket-activated daemon with minimal dependencies
 socket-activate makes it possible to use socket-activated services on
 Unix-based systems that don't have systemd installed at all.
 .
 It implements the environment variable and file descriptor convention
 described in sd_listen_fds(3) without using any external code or
 dependencies from systemd.  It only depends on python3 itself.

=== debian/tests/control ===
Test-Command: ./tests/basic
Depends: @, socat, diffutils
Restrictions: allow-stderr
